/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreElementHierarchyCount;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreElementHierarchyCountRecord extends TableRecordImpl<VCoreElementHierarchyCountRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for
     * <code>common_dd.v_core_element_hierarchy_count.key_parent_element</code>.
     */
    public void setKeyParentElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_core_element_hierarchy_count.key_parent_element</code>.
     */
    public Integer getKeyParentElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for
     * <code>common_dd.v_core_element_hierarchy_count.sub_elements</code>.
     */
    public void setSubElements(Long value) {
        set(1, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_core_element_hierarchy_count.sub_elements</code>.
     */
    public Long getSubElements() {
        return (Long) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreElementHierarchyCountRecord
     */
    public VCoreElementHierarchyCountRecord() {
        super(VCoreElementHierarchyCount.V_CORE_ELEMENT_HIERARCHY_COUNT);
    }

    /**
     * Create a detached, initialised VCoreElementHierarchyCountRecord
     */
    public VCoreElementHierarchyCountRecord(Integer keyParentElement, Long subElements) {
        super(VCoreElementHierarchyCount.V_CORE_ELEMENT_HIERARCHY_COUNT);

        setKeyParentElement(keyParentElement);
        setSubElements(subElements);
        resetChangedOnNotNull();
    }
}
